summaryrefslogtreecommitdiffstats
path: root/vlc
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-11-15 23:46:36 +0000
committer Eric Hameleers <alien@slackware.com>2013-11-15 23:46:36 +0000
commit16c18baf764bacdd050058f92303ffc48fc4e56b (patch)
tree1bc6e3bb3a0370a799b58cd243f9e0a133a08484 /vlc
parent3177bd57f868fbc08da2e821bd5b26f24c990d56 (diff)
downloadasb-16c18baf764bacdd050058f92303ffc48fc4e56b.tar.gz
asb-16c18baf764bacdd050058f92303ffc48fc4e56b.tar.xz
Updated to 2.1.1
Diffstat (limited to 'vlc')
-rwxr-xr-xvlc/build/vlc.SlackBuild90
1 files changed, 74 insertions, 16 deletions
diff --git a/vlc/build/vlc.SlackBuild b/vlc/build/vlc.SlackBuild
index f2873047..a205972e 100755
--- a/vlc/build/vlc.SlackBuild
+++ b/vlc/build/vlc.SlackBuild
@@ -367,6 +367,9 @@
# vcdimager, vo-amrwbenc, x264.
# 2.1.0-1 26/sep/2013 by Eric Hameleers <alien@slackware.com>
# * New release: 2.1.0!
+# 2.1.1-1 16/nov/2013 by Eric Hameleers <alien@slackware.com>
+# * Bugfix release. Internal updates for ass, ffmpeg, matroska,
+# x264; added taglib to replace the old Slackware library.
#
# Run 'sh vlc.SlackBuild' to build a Slackware package.
# The package (.txz) plus descriptive .txt file are created in /tmp .
@@ -415,7 +418,7 @@ SLACKVER=${SLACKVER:-$(cat /etc/slackware-version| cut -d' ' -f2)}
#VERSION=${VERSION:-"@1.1.0-bugfix#20120217"}
#VERSION=${VERSION:-"master@git://git.videolan.org/vlc/vlc-2.1.git#20130818"}
-VERSION=${VERSION:-"2.1.0"}
+VERSION=${VERSION:-"2.1.1"}
# At some point, the 1.2 development branched off the master tree:
#DEFGITURI=${GITURI:-"git://git.videolan.org/vlc.git"}
@@ -515,7 +518,7 @@ A52=0.7.4
AACENC=0.1.2
AMRWBENC=0.1.3
AMR=0.1.3
-ASS=0.10.1
+ASS=0.10.2
AVC1394=0.5.4
BLURAY=0.3.0
CDDB=1.3.2
@@ -531,8 +534,8 @@ DVDCSS=1.2.13
EBML=1.3.0
FAAC=1.28
FAAD2=2.7
-#FFMPEG=23eed00 # git snapshot 20130308
-FFMPEG=2.0.1
+FFMPEG=cdb46f1 # git snapshot 20131025
+#FFMPEG=2.0.1
FLUID=1.1.6
FRIBIDI=0.19.5
GGI=2.2.2
@@ -544,7 +547,7 @@ LAME=3.99.5
LIBVA=1.2.1
LIVE=2012.12.18
LUA=5.1.5
-MATROSKA=1.4.0
+MATROSKA=1.4.1
MPCDEC=r475
MPEG2DEC=0.5.1
NPAPI=20130818
@@ -559,13 +562,14 @@ SHOUT=2.3.1
SPEEX=1.2rc1
SWSCALE="" # Set SWSCALE="" to checkout a version of ffmpeg's swscale
# that matches the date of the FFMPEG snapshot.
+TAGLIB=1.9.1
THEORA=1.1.1
TIGER=0.3.4
TWOLAME=0.3.13
UPNP=1.6.18
VCD=0.7.24
VPX=v1.1.0
-X264=20130817-2245
+X264=20131115-2245
# Determine what X we're running (the modular X returns the prefix
# in the next command, while older versions stay silent):
@@ -634,9 +638,10 @@ SRCPAT[0]="NO"
USE[0]="YES"
# ffmpeg libraries
-SOURCE[1]="$SRCDIR/ffmpeg-${FFMPEG}.tar.bz2"
-SRCURL[1]="https://ffmpeg.org/releases/ffmpeg-${FFMPEG}.tar.bz2"
-#SRCURL[1]="http://git.videolan.org/?p=ffmpeg.git;a=snapshot;h=${FFMPEG};sf=tgz"
+#SOURCE[1]="$SRCDIR/ffmpeg-${FFMPEG}.tar.bz2"
+#SRCURL[1]="https://ffmpeg.org/releases/ffmpeg-${FFMPEG}.tar.bz2"
+SOURCE[1]="$SRCDIR/ffmpeg-${FFMPEG}.tar.gz"
+SRCURL[1]="http://git.videolan.org/?p=ffmpeg.git;a=snapshot;h=${FFMPEG};sf=tgz"
#SRCURL[1]=""
SRCPAT[1]="NO"
USE[1]="YES"
@@ -938,12 +943,17 @@ SRCURL[50]="http://rtmpdump.mplayerhq.hu/download/rtmpdump-${RTMP}.tgz"
SRCPAT[50]="NO"
USE[50]="YES"
-# CSS decoding- VLC can do without if you install an external libdvdcss package.
-SOURCE[51]="$SRCDIR/libdvdcss-${DVDCSS}.tar.bz2"
-SRCURL[51]="http://download.videolan.org/pub/libdvdcss/${DVDCSS}/libdvdcss-${DVDCSS}.tar.bz2"
-SRCPAT[51]="YES"
+SOURCE[51]="$SRCDIR/taglib-${TAGLIB}.tar.gz"
+SRCURL[51]="http://taglib.github.io/releases/taglib-${TAGLIB}.tar.gz"
+SRCPAT[51]="NO"
USE[51]="YES"
+# CSS decoding- VLC can do without if you install an external libdvdcss package.
+SOURCE[52]="$SRCDIR/libdvdcss-${DVDCSS}.tar.bz2"
+SRCURL[52]="http://download.videolan.org/pub/libdvdcss/${DVDCSS}/libdvdcss-${DVDCSS}.tar.bz2"
+SRCPAT[52]="YES"
+USE[52]="YES"
+
# Use the src_checkout() function if no downloadable tarball exists.
# This function checks out sources from SVN/CVS and creates a tarball of them.
src_checkout() {
@@ -1626,13 +1636,27 @@ export PKG_CONFIG_PATH="${VLCDEPSDIR}/usr/lib${LIBDIRSUFFIX}/pkgconfig"
-release \
-static \
-fast \
+ -no-declarative \
+ -no-declarative-debug \
+ -no-exceptions \
+ -no-multimedia \
+ -no-opengl \
+ -no-stl \
+ -no-sql-sqlite \
-no-phonon \
-no-qt3support \
- -no-exceptions \
- -qt-gif \
+ -no-qdbus \
+ -no-openssl \
+ -no-script \
+ -no-scripttools \
+ -no-webkit \
+ -no-gif \
+ -no-libmng \
+ -no-libtiff \
-qt-libpng \
-qt-libjpeg \
-qt-zlib \
+ -sse \
-nomake examples \
-nomake demos \
-nomake docs \
@@ -1651,10 +1675,12 @@ cp *GPL_EXCEPTION* FAQ* INSTALL KNOWN* LICENSE* README* \
cd -
}
+
# -----------------------------------------------------------------------------
# ADDITIONAL CODECS AND INPUT LIBRARIES FOR VLC
# -----------------------------------------------------------------------------
+
# -----------------------------------------------------------------------------
# Compile faad2
# -----------------------------------------------------------------------------
@@ -1765,7 +1791,7 @@ echo -e "**\n** ebml ...\n**"
OLDDIR=$(pwd)
cd $TMP/tmp-$PRGNAM/libebml-$EBML/make/linux
CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS -fexceptions" \
LDFLAGS="$SLKLDFLAGS" \
make -j${NUMJOBS} staticlib prefix=$VLCDEPSDIR/usr \
2>&1 | tee $OUTPUT/make-${PRGNAM}_ebml.log
@@ -2852,6 +2878,37 @@ cd -
# -----------------------------------------------------------------------------
+# Compile taglib
+# -----------------------------------------------------------------------------
+make_taglib()
+{
+echo -e "**\n** taglib ...\n**"
+cd $TMP/tmp-$PRGNAM/taglib-${TAGLIB}
+
+CXX=gcc \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+cmake . \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DENABLE_STATIC:BOOL=ON \
+ -DWITH_ASF:BOOL=ON \
+ -DWITH_MP4:BOOL=ON \
+ 2>&1 | tee $OUTPUT/cmake-${PRGNAM}_taglib.log
+make -j${NUMJOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_taglib.log
+# Install taglib into a temp location so vlc can pickup the library
+make install DESTDIR=$VLCDEPSDIR \
+ 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_taglib.log
+
+# Add DOCS to the vlcdeps to have it added to vlc package later:
+mkdir -p $VLCDEPSDIR/doc/taglib/
+cp AUTHORS COPYING* README TODO $VLCDEPSDIR/doc/taglib/ || true
+cd -
+}
+
+
+# -----------------------------------------------------------------------------
# Compile fluidsynth
# -----------------------------------------------------------------------------
make_fluid()
@@ -3738,6 +3795,7 @@ else
make_schroedinger
make_live555
make_fribidi
+ make_taglib
make_ass
make_fluid
make_1394